Subject: Re: linux-next: build warning after merge of the libata tree

From: Sergey Shtylyov <[email-masked]>
Date: Mon, 20 Jun 2022 23:08:00 +0300

On 6/20/22 2:07 PM, Damien Le Moal wrote:

[...]
>>>>> After merging the libata tree, today's linux-next build (powercp
>>>>> ppc64_defconfig) produced this warning:
>>>>>
>>>>> In file included from include/linux/device.h:15,
>>>>>                  from arch/powerpc/include/asm/io.h:27,
>>>>>                  from include/linux/io.h:13,
>>>>>                  from include/linux/irq.h:20,
>>>>>                  from arch/powerpc/include/asm/hardirq.h:6,
>>>>>                  from include/linux/hardirq.h:11,
>>>>>                  from include/linux/highmem.h:11,
>>>>>                  from include/linux/bvec.h:10,
>>>>>                  from include/linux/blk_types.h:10,
>>>>>                  from include/linux/blkdev.h:9,
>>>>>                  from drivers/ata/pata_macio.c:18:
>>>>> drivers/ata/pata_macio.c: In function 'pmac_macio_calc_timing_masks':
>>>>> drivers/ata/pata_macio.c:1031:28: warning: format '%lx' expects argument of type 'long unsigned int', but argument 4 has type 'unsigned int' [-Wformat=]
>>>>>  1031 |         dev_dbg(priv->dev, "Supported masks: PIO=%lx, MWDMA=%lx, UDMA=%lx\n",
>>>>
>>>> 	.
>>>> 	.
>>>> 	.
>>>>
>>>>> Introduced by commit
>>>>>
>>>>>   f0a6d77b351c ("ata: make transfer mode masks *unsigned int*")
>>
>>    Oops, sorry about that!>
>>>> This turned into a build failure in my powerpc allyesconfig build, so I
>>>> reverted the above commit for today.
>>>
>>> I pushed the fix already. It is in ata for-next branch.
>>
>>    Thank you!
>>    Note that your Fixes: tag doesn't look right -- the asterisks are missing
>> in the summary...
> 
> Fixed. Copy-paste from the mailer (build failure report email), the
> asterisks are gone and "unsigned int" shown with bold font. Please stop

   Strange, I'm seeing both asterisks and bold font there. What kind of MUA
do you use? :-)

> with the markdown style emphasis. That creates problems.

   Mhm, OK...

MBR, Sergey